<?
if(isset($_POST['text']))
{
$text=$_POST['text'];
if($ku['time_support']>$time && $ku['status']!=3)err_game("Подождите ".time_left($ku['time_support']-$time));
if(strlen2($text)<1)echo err_game("Введите сообщение.");
else
{
$q=mysql_querll("SELECT * FROM `kolhoz_user` WHERE `status` = '3' AND `id` != '$ku[id]'");
if($_POST['type']==1)$type='Ошибка';
elseif($_POST['type']==2)$type='Предложение';
elseif($_POST['type']==3)$type='Вопрос';
else $type='Жалоба';
$msg="Тип заявки: $type
$text";
mysql_querll("INSERT INTO `kolhoz_tikets` SET `id_user` = '$ku[id]', `msg` = '".my_esc($msg)."', `read` = '0'");
update_ku('time_support',($time+(3*3600)));
header("Location:?myfarm&".passgen());
$_SESSION['msg']='Ваше сообщение успешно отправлено в службу тех.поддержки';
exit;
}
}
?>
<div class="event">
<h1>Служба тех.поддержки</h1></div>
<div class="content">
<div class="block">
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo $ku['mdp'];?>"></div>
<ul>
<li>
<label>
<div>Тип заявки:</div>
<div><select name="type"><option selected="selected" value="1">Ошибка</option><option
value="2">Предложение</option><option
value="3">Вопрос</option><option
value="4">Жалоба</option></select></div>
</label>
</li>
<li>
<label>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
</label>
</li>
<li>
<div style="font-size:0.6em">Внимание! Сообщение в тех. поддержку можно отправлять один раз в 3 часа.<br>
Тех. поддержка отвечает на вопросы, которые касаются только игры "Мой колхоз"! Техподдержка отвечает на вопросы в течении 3-х суток.</div>
</li>
<li>
<input type="submit" value="Отправить">
</li>
</ul>
</form>
</div>
<? include_once 'inc/foot.php';?>